## openjdk-8 8u302-b08

=== debian/changelog ===
openjdk-8 (8u302-b08-1~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Provide builds for wheezy, jessie, stretch, buster, bullseye
  * Disable tests (debian/README.source documents why they fail)
  * Effort sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 30 Jul 2021 03:00:20 +0200

openjdk-8 (8u302-b08-1) unstable; urgency=medium

  * New upstream release (GA)
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly
    - JDK-8256491: Better HTTP transport
    - JDK-8258432, CVE-2021-2341: Improve file transfers
    - JDK-8260453: Improve Font Bounding
    - JDK-8260960: Signs of jarsigner signing
    - JDK-8260967, CVE-2021-2369: Better jar file validation
    - JDK-8262380: Enhance XML processing passes
    - JDK-8262403: Enhanced data transfer
    - JDK-8262410: Enhanced rules for zones
    - JDK-8262477: Enhance String Conclusions
    - JDK-8262967: Improve Zip file support
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation
    - JDK-8264079: Improve abstractions
    - JDK-8264460: Improve NTLM support
  * Other changes: see
    https://mail.openjdk.java.net/pipermail/jdk8u-dev/2021-July/014118.html
  * Add or update d/copyright lines, based on diffing upstream changes
  * Refresh all patches that are actually used and drop no longer needed
    d/p/compare-pointer-with-literal.patch
  * Fix spelling in d/rules
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Jul 2021 20:45:23 +0200

openjdk-8 (8u292-b10-3) unstable; urgency=medium

  * Re-upload with actually regenerated debian/control, oops

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 24 Jun 2021 00:05:48 +0200

openjdk-8 (8u292-b10-2) unstable; urgency=low

  * Fix regression in /etc/java-8-openjdk/accessibility.properties
  * Drop Suggests nōnexistent icedtea-8-plugin
  * Fix binfmts error with patch from bug (Closes: #822348)
  * Create /usr/share/man/man1 if it doesn’t exist, for crippled
    container images (Closes: #863199)
  * Provide java-runtime{,-headless} (Closes: #906111)
  * Mark openjdk-8-doc as M-A:foreign
  * Update “It was downloaded from” in d/copyright (cf. #970517)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 15 Jun 2021 22:23:01 +0200

openjdk-8 (8u292-b10-1) unstable; urgency=medium

  * Source-only upload after the previous bootstrap binary one
  * Change -Xmx1024m to -Xmx1000m in icedtea-sound compilation
    to work with mipsel’s memory layout (and sh4)
  * Don’t set old-style ALT_ environment variables, they are ignored
  * Create the origtgz in a hopefully reproducible way
  * Merge openjdk-8 (8u292-b10-0+deb9u1)
    - Revert bogus reversion of changes from previous uploads
    - Add missing changelog entry for 8u275
    - Revert *buntu ESM-related changes
    - Undo an inconsistency in fetch-orig
  * Fix whitespace
  * Upgrade aarch32 to 8u292 GA
  * Build with reproducible LC_ALL=C setting
  * Obtain origtgz from https or, when not possible (icedtea-sound),
    check SHA256 against one I manually downloaded and checked, using
    the (expired…) key from pyconfigure’s signing keyring, which,
    unlike the keyserver network, contains the key used
  * Abort fetching origtgz if it fails, don’t soldier on to fail later
  * Document reasons some tests fail (more building on older releases)
  * Update lintian overrides (for sid)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 26 Apr 2021 17:00:54 +0200

openjdk-8 (8u292-b10-0+deb9u1) stretch-security; urgency=medium

  * Merge with Ubuntu.
  * Update to 8u292-b10 (GA).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 Apr 2021 13:13:15 +0200

openjdk-8 (8u282-b08-2) unstable; urgency=medium

  * Reupload to sid, under new maintainership (Debian Java team);
    cf. https://lists.debian.org/debian-java/2021/03/msg00021.html
    (and surrounding thread); sponsored by ⮡ tarent
  * Readd improvements from 8u275-b01-1, lost changelog entries
  * Add NEWS to openjdk-8-jre-headless (because all other depend on
    that) regarding OpenJDK 8 not being supported
  * Use GCC 10 to build on bullseye, sid, groovy and hirsute (that
    means GCC 9 on focal only) (Closes: #978519)
  * Silence postinst warning about removed -XX:PermSize option
  * Switch to mktemp(1)
  * Drop unused patches (keep a couple which just need updating)
  * Update README.source a little
  * G/C long-dead code from postinst, too
  * If the testsuite is disabled during generation of debian/control
    omit test-only dependencies
  * Upload with binaries built using the previous openjdk-8 binaries
    because openjdk-8-jdk is required for bootstrapping; 7 works but
    11 cannot be used :/ a source-only upload will follow
  * Skip testsuite for first bootstrap, saving lots of time/CPU
  * Address some issues lintian reported; update a number of overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 26 Mar 2021 00:48:09 +0100

openjdk-8 (8u282-b08-1) bullseye; urgency=medium

  * Team upload.
  * Provide builds for bullseye/sid (for a personal repository),
    buster (for the same), stretch (for LTS), jessie (for ELTS)
    and wheezy (also for that personal repository)
  * Move @bd_bootstrap@ high up in Build-Depends so the resolver tries
    to fulfil it first
  * Require an openjdk-8 to bootstrap (a previous build)
  * Let openjdk-8-jre-headless fulfill default-jre-headless (>= 2:1.8)
    in <!nocheck>; the latter is only used with distros whose default
    JRE is older than 8, to avoid accidental use of 11

 -- Thorsten Glaser <t.glaser@tarent.de>  Sun, 14 Feb 2021 00:42:46 +0100

openjdk-8 (8u275-b01-1~deb9u1) stretch-security; urgency=medium

  * Team upload.
  * Provide 8u275-b01 (GA) regression fixes

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 02 Dec 2020 11:15:53 +0100

openjdk-8 (8u275-b01-1) unstable; urgency=medium

  * Team upload.
  * Merge back into Debian
    - Revert Maintainer change
  * Drop unused patch (which is already merged upstream)

