=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Java Maintenance <debian-java@lists.debian.org>
-Uploaders: Thorsten Glaser <tg@mirbsd.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 9), quilt, m4, lsb-release, zip, unzip,
-  openjdk-8-jdk,
   sharutils, gawk, cpio, pkg-config, procps, wdiff, tzdata,
-   time,
-  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2),
-  g++-6, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk2.0-dev,  libffi-dev,
+  xvfb<!nocheck>, xauth<!nocheck>, xfonts-base<!nocheck>, libgl1-mesa-dri [!x32]<!nocheck>, xfwm4<!nocheck>, x11-xkb-utils<!nocheck>, dbus-x11<!nocheck>,
+  jtreg<!nocheck>, testng<!nocheck>, time,
+  fastjar (>= 2:0.96-0ubuntu2),
+  autoconf (>= 2.69), automake, autotools-dev, ant, ant-optional,
+  g++-11,
+  openjdk-8-jdk | openjdk-7-jdk,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk2.0-dev,
+  libffi-dev, 
   zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libpulse-dev (>= 0.9.12) [!alpha], systemtap-sdt-dev [!sh4],
   libnss3-dev (>= 2:3.17.1), openjdk-8-jdk-headless <cross>, dpkg-dev (>= 1.17.14),
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Homepage: http://openjdk.java.net/
-VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
-VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/openjdk-8.git;a=shortlog;h=refs/heads/master
+Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/openjdk8
+Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/openjdk8
 
 Package: openjdk-8-jdk-headless
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
@@ -32,10 +37,6 @@
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
  .
- This binary package contains almost the full JDK, except for some
- tools (appletviewer, jconsole) and headers (jawt) that make sense
- only in GUI environments.
- .
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
@@ -51,7 +52,7 @@
 Suggests: libnss-mdns,
   fonts-dejavu-extra,
   fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei, fonts-wqy-zenhei, fonts-indic,
-Provides: java-runtime-headless, java2-runtime-headless,
+Provides: java2-runtime-headless,
   java5-runtime-headless, java6-runtime-headless,
   java7-runtime-headless, java8-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
@@ -79,9 +80,6 @@
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
  .
- This binary package extends the headless JDK with GUI-specific
- utilities, libraries and, as necessary, package dependencies.
- .
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
@@ -94,8 +92,9 @@
   ${dlopenjre:Depends}, ${dep:bridge},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
+Suggests: icedtea-8-plugin, ${pkg:pulseaudio}
 Replaces: openjdk-8-jre-headless (<< 8u20~b20-3)
-Provides: java-runtime, java2-runtime,
+Provides: java2-runtime,
   java5-runtime, java6-runtime,
   java7-runtime, java8-runtime
 Description: OpenJDK Java runtime, using ${vm:Name}
@@ -107,6 +106,7 @@
 
 Package: openjdk-8-demo
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
@@ -118,6 +118,7 @@
 
 Package: openjdk-8-source
 Architecture: all
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre (>= ${source:Version}),
   openjdk-8-jdk (>= ${binary:Version}),
@@ -137,7 +138,7 @@
 Section: doc
 Pre-Depends: ${dpkg:Depends}
 Architecture: all
-Multi-Arch: foreign
+Priority: optional
 Depends: ${misc:Depends}
 Suggests: openjdk-8-jdk
 Description: OpenJDK Development Kit (JDK) documentation
@@ -152,6 +153,7 @@
 Package: openjdk-8-dbg
 Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
 Multi-Arch: same
+Priority: optional
 Section: debug
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre-headless (= ${binary:Version}),
@@ -168,13 +170,14 @@
  from the IcedTea project.
 
 Package: openjdk-8-jre-zero
-Architecture: amd64 i386 arm64 ppc64 ppc64el sparc64 armhf kfreebsd-amd64 kfreebsd-i386
+Architecture: amd64 i386 arm64 ppc64 ppc64el sparc64 armhf kfreebsd-amd64 kfreebsd-i386 
 Multi-Arch: same
+Priority: optional
 Pre-Depends: ${dpkg:Depends}
 Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${zerovm:Provides}
 Description: Alternative JVM for OpenJDK, using Zero/Shark
- The package provides an alternative runtime using the Zero VM and the
+ The package provides an alternative runtime using the Zero VM and the 
  Shark Just In Time Compiler (JIT).  Built on architectures in addition
  to the Hotspot VM as a debugging aid for those architectures which don't
  have a Hotspot VM.
