## openjdk-8 8u322-b06

=== debian/changelog ===
openjdk-8 (8u322-b06-1~deb9u1) stretch-security; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Adapt rules for the move to git and for the new merged repo layout.
  * Security fixes:
    - JDK-8264934, CVE-2022-21248: Enhance cross VM serialization
    - JDK-8268488: More valuable DerValues
    - JDK-8268494: Better inlining of inlined interfaces
    - JDK-8268512: More content for ContentInfo
    - JDK-8268795: Enhance digests of Jar files
    - JDK-8268801: Improve PKCS attribute handling
    - JDK-8268813, CVE-2022-21283: Better String matching
    - JDK-8269151: Better construction of EncryptedPrivateKeyInfo
    - JDK-8269944: Better HTTP transport redux
    - JDK-8270392, CVE-2022-21293: Improve String constructions
    - JDK-8270416, CVE-2022-21294: Enhance construction of Identity maps
    - JDK-8270492, CVE-2022-21282: Better resolution of URIs
    - JDK-8270498, CVE-2022-21296: Improve SAX Parser configuration management
    - JDK-8270646, CVE-2022-21299: Improved scanning of XML entities
    - JDK-8271962: Better TrueType font loading
    - JDK-8271968: Better canonical naming
    - JDK-8271987: Manifest improved manifest entries
    - JDK-8272014, CVE-2022-21305: Better array indexing
    - JDK-8272026, CVE-2022-21340: Verify Jar Verification
    - JDK-8272236, CVE-2022-21341: Improve serial forms for transport
    - JDK-8272272: Enhance jcmd communication
    - JDK-8272462: Enhance image handling
    - JDK-8273290: Enhance sound handling
    - JDK-8273748, CVE-2022-21349: Improve Solaris font rendering
    - JDK-8273756, CVE-2022-21360: Enhance BMP image support
    - JDK-8273838, CVE-2022-21365: Enhanced BMP processing
  * Other changes, see
    https://mail.openjdk.java.net/pipermail/jdk8u-dev/2022-January/014522.html

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Feb 2022 11:40:17 +0100

openjdk-8 (8u312-b07-1~deb9u1) stretch-security; urgency=medium

  * Disable tests (debian/README.source documents why they fail)
  * Build for stretch LTS, jessie ELTS
  * Effort sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 06 Nov 2021 18:41:21 +0100

openjdk-8 (8u312-b07-1) unstable; urgency=medium

  * New upstream release (GA)
  * Security fixes:
    - JDK-8130183, CVE-2021-35588: InnerClasses: VM permits wrong
      Throw ClassFormatError if InnerClasses attribute's
      inner_class_info_index is 0
    - JDK-8161016: Strange behavior of URLConnection with proxy
    - JDK-8163326, CVE-2021-35550: Update the default enabled cipher
      suites preference
    - JDK-8254967, CVE-2021-35565: com.sun.net.HttpsServer spins on
      TLS session close
    - JDK-8263314: Enhance XML Dsig modes
    - JDK-8265167, CVE-2021-35556: Richer Text Editors
    - JDK-8265574: Improve handling of sheets
    - JDK-8265580, CVE-2021-35559: Enhanced style for RTF kit
    - JDK-8265776: Improve Stream handling for SSL
    - JDK-8266097, CVE-2021-35561: Better hashing support
    - JDK-8266103: Better specified spec values
    - JDK-8266109: More Resilient Classloading
    - JDK-8266115: More Manifest Jar Loading
    - JDK-8266137, CVE-2021-35564: Improve Keystore integrity
    - JDK-8266689, CVE-2021-35567: More Constrained Delegation
    - JDK-8267086: ArrayIndexOutOfBoundsException in
      java.security.KeyFactory.generatePublic
    - JDK-8267712: Better LDAP reference processing
    - JDK-8267729, CVE-2021-35578: Improve TLS client handshaking
    - JDK-8267735, CVE-2021-35586: Better BMP support
    - JDK-8268193: Improve requests of certificates
    - JDK-8268199: Correct certificate requests
    - JDK-8268506: More Manifest Digests
    - JDK-8269618, CVE-2021-35603: Better session identification
    - JDK-8269624: Enhance method selection support
    - JDK-8270398: Enhance canonicalization
    - JDK-8270404: Better canonicalization
  * Other changes: see
    https://mail.openjdk.java.net/pipermail/jdk8u-dev/2021-October/014373.html
  * Policy 4.6.1, no relevant changes
  * d/copyright: Apply changes since 8u302
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Nov 2021 23:57:58 +0000
